---
lang: en
title: 'API docs: repository-json-schema.filterschemaoptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository-json-schema
permalink: /doc/en/lb4/apidocs.repository-json-schema.filterschemaoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository-json-schema](./repository-json-schema.md) &gt; [FilterSchemaOptions](./repository-json-schema.filterschemaoptions.md)

## FilterSchemaOptions interface

**Signature:**

```typescript
export interface FilterSchemaOptions 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[exclude?](./repository-json-schema.filterschemaoptions.exclude.md)


</td><td>


</td><td>

string\[\] \| string


</td><td>

_(Optional)_ To exclude one or more property from `filter`


</td></tr>
<tr><td>

[setTitle?](./repository-json-schema.filterschemaoptions.settitle.md)


</td><td>


</td><td>

boolean


</td><td>

_(Optional)_ Set this flag if you want the schema to set generated title property.

By default the setting is enabled. (e.g. {<!-- -->setTitle: true<!-- -->}<!-- -->)


</td></tr>
</tbody></table>


